## rock-master-20.06-ruby-qtbindings 4.8.6.5

=== ext/CMakeLists.txt ===
project(qtbind)

# Always force c++03 standard
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++03")

add_subdirectory(generator)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

include(MacroOptionalFindPackage)
include(MacroOptionalAddBindings)
include(MacroLogFeature)
include(CheckCXXSourceCompiles)

# Call cmake/modules/FindQt4.cmake
# We are using the version provided by the Github project Kitware/CMake
# This sets a bunch of QT_XXX variables used throughout the build process
FIND_PACKAGE (Qt4 REQUIRED)

add_definitions (${QT_DEFINITIONS}  -DHAVE_CONFIG_H=1)
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${QT_INCLUDES} )

FIND_PACKAGE (Ruby REQUIRED)
FIND_PACKAGE (OpenGL REQUIRED)

add_subdirectory(smoke)
add_subdirectory(ruby)

=== ext/ruby/CMakeLists.txt ===
project(Ruby)

set(COMPILE_RUBY FALSE CACHE INTERNAL "")

macro_optional_find_package(Ruby)

if (RUBY_LIBRARY AND RUBY_INCLUDE_DIRS AND RUBY_EXECUTABLE)
    set(COMPILE_RUBY TRUE CACHE INTERNAL "")
endif (RUBY_LIBRARY AND RUBY_INCLUDE_DIRS AND RUBY_EXECUTABLE)

macro_log_feature(COMPILE_RUBY "Ruby" "Ruby interpreter and libraries" "http://www.ruby-lang.org" FALSE "" "Needed to compile the Ruby bindings")

if (NOT COMPILE_RUBY)
    message(STATUS "Ruby Not Found Successfully")
endif (NOT COMPILE_RUBY)

SET(CUSTOM_RUBY_SITE_ARCH_DIR ${RUBY_SITEARCH_DIR} CACHE DIR "custom installation directory for ruby binary extension" )
SET(CUSTOM_RUBY_SITE_LIB_DIR ${RUBY_SITELIB_DIR} CACHE DIR "custom installation directory for ruby extension" )

# compute an overall version number which can be compared at once
MATH(EXPR RUBY_VERSION_NUMBER "${RUBY_VERSION_MAJOR}*10000 + ${RUBY_VERSION_MINOR}*100 + ${RUBY_VERSION_PATCH}")

macro_optional_add_bindings(QT_QTCORE_FOUND "QtRuby" qtruby)
macro_optional_add_bindings(QT_QTDECLARATIVE_FOUND "QtDeclarative" qtdeclarative)
macro_optional_add_bindings(QT_QTWEBKIT_FOUND "QtWebKit" qtwebkit)
macro_optional_add_bindings(QT_QTUITOOLS_FOUND "QtUiTools" qtuitools)
macro_optional_add_bindings(QT_QTSCRIPT_FOUND "QtScript" qtscript)
macro_optional_add_bindings(QT_QTTEST_FOUND "QtTest" qttest)

if (RUBY_EXECUTABLE AND RUBY_LIBRARY AND RUBY_INCLUDE_DIRS)
    EXECUTE_PROCESS(COMMAND ${RUBY_EXECUTABLE} -r mkmf -e "exit(have_func('rb_hash_foreach') ? 0 : 1)" RESULT_VARIABLE RUBY_HASH_FOREACH OUTPUT_QUIET)
    if (RUBY_HASH_FOREACH EQUAL 0)

        set(CMAKE_REQUIRED_INCLUDES ${RUBY_INCLUDE_DIRS})
        set(CMAKE_REQUIRED_LIBRARIES ${RUBY_LIBRARY})
        CHECK_CXX_SOURCE_COMPILES("
            #include <ruby.h>
            int main() { ruby_init(); return 0; }" RubyCompiles)
        if(RubyCompiles)
            if(ENABLE_KROSSRUBY)
                set(BUILD_KrossRuby TRUE)
            endif(ENABLE_KROSSRUBY)
        else(RubyCompiles)
            message(STATUS "Failed to compile a C++ program that embeds ruby.")
        endif(RubyCompiles)

    else (RUBY_HASH_FOREACH EQUAL 0)

        # 2007-02-12 sebsauer; this is a workaround for the case we failed to load
        # the "mkmf" library what is the case e.g. on some debian distributions.
        #EXECUTE_PROCESS(COMMAND ${RUBY_EXECUTABLE} -r mkmf -e "exit(0)" RESULT_VARIABLE RUBY_HASH_FOREACH OUTPUT_QUIET ERROR_QUIET)
        #if (${RUBY_HASH_FOREACH} EQUAL 0)
        message(STATUS "The detected Ruby is too old for kross. A Ruby which has rb_hash_foreach is required. Upgrade to 1.8.2 or later")
        #else (${RUBY_HASH_FOREACH} EQUAL 0)
        #    message(STATUS "Failed to load the Ruby mkmf library. Please install the Ruby developer packages.")
        #endif (${RUBY_HASH_FOREACH} EQUAL 0)

    endif (RUBY_HASH_FOREACH EQUAL 0)
endif (RUBY_EXECUTABLE AND RUBY_LIBRARY AND RUBY_INCLUDE_DIRS)
message(STATUS "Ruby Executable: " ${RUBY_EXECUTABLE})
message(STATUS "Ruby Libraries: " ${RUBY_LIBRARY})
message(STATUS "Ruby Include Directories: " ${RUBY_INCLUDE_DIRS})

macro_display_bindings_log()

=== ext/smoke/CMakeLists.txt ===
project(SMOKE)

add_definitions(-DSMOKE_BUILDING)

add_subdirectory(smokebase)
add_subdirectory(qtcore)
add_subdirectory(deptool)
add_subdirectory(smokeapi)

macro_optional_add_bindings(QT_QTNETWORK_FOUND "QtNetwork" qtnetwork)
if (NOT WIN32)
  macro_optional_add_bindings(QT_QTDBUS_FOUND "QtDBus" qtdbus)
endif (NOT WIN32)
macro_optional_add_bindings(QT_QTDECLARATIVE_FOUND "QtDeclarative" qtdeclarative)
macro_optional_add_bindings(QT_QTGUI_FOUND "QtGui" qtgui)
macro_optional_add_bindings(QT_QTSVG_FOUND "QtSvg" qtsvg)
macro_optional_add_bindings(QT_QTSQL_FOUND "QtSql" qtsql)
macro_optional_add_bindings(QT_QTXML_FOUND "QtXml" qtxml)
macro_optional_add_bindings(QT_QTXMLPATTERNS_FOUND "QtXmlPatterns" qtxmlpatterns)
macro_optional_add_bindings(QT_QTOPENGL_FOUND "QtOpenGL" qtopengl)
macro_optional_add_bindings(QT_QTWEBKIT_FOUND "QtWebKit" qtwebkit)
macro_optional_add_bindings(QT_QTSCRIPT_FOUND "QtScript" qtscript)
macro_optional_add_bindings(QT_QTUITOOLS_FOUND "QtUiTools" qtuitools)
macro_optional_add_bindings(QT_QTTEST_FOUND "QtTest" qttest)
macro_optional_add_bindings(QT_QTMULTIMEDIA_FOUND "QtMultimedia" qtmultimedia)
macro_optional_add_bindings(QT_QTHELP_FOUND "QtHelp" qthelp)

# for qtguess.pl
if (APPLE)
set(qt_test_threshold 15)
else (APPLE)
set(qt_test_threshold 10)
endif (APPLE)

macro_display_bindings_log()

########### install files ###############

install( FILES  smoke.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include )

=== ext/ruby/qtdeclarative/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/smoke ${RUBY_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/ruby/qtruby/src)
INCLUDE_DIRECTORIES (${QT_INCLUDES})

set(rubyqtdeclarative_LIBRARY_SRC qtdeclarative.cpp qtdeclarativehandlers.cpp)
add_library(rubyqtdeclarative MODULE ${rubyqtdeclarative_LIBRARY_SRC})
target_link_libraries(rubyqtdeclarative
    ${QT_QTWEBKIT_LIBRARY}
    smokeqtdeclarative
    qtruby4shared
)
set_target_properties(rubyqtdeclarative PROPERTIES PREFIX "" OUTPUT_NAME qtdeclarative)
install(TARGETS rubyqtdeclarative DESTINATION ${CUSTOM_RUBY_SITE_ARCH_DIR})
install(FILES qtdeclarative.rb DESTINATION ${CUSTOM_RUBY_SITE_LIB_DIR}/qtdeclarative)

if (Q_WS_MAC)
    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink \"${CUSTOM_RUBY_SITE_ARCH_DIR}/qtdeclarative.so\"  \"${CUSTOM_RUBY_SITE_ARCH_DIR}/qtdeclarative.bundle\" )" )
endif (Q_WS_MAC)

=== ext/smoke/qtdeclarative/CMakeLists.txt ===

include_directories( ${QT_INCLUDES} ${CMAKE_SOURCE_DIR}/smoke )

configure_file(config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.xml @ONLY)

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 

    COMMAND smokegen
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -- ${CMAKE_CURRENT_SOURCE_DIR}/qtdeclarative_includes.h
    DEPENDS smokegen generator_smoke WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

include_directories (${CMAKE_SOURCE_DIR}/smoke ${CMAKE_SOURCE_DIR}/smoke/qtdeclarative  )

set(smokeqtdeclarative_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp  
                ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")

# kde4_add_library(smokeqtdeclarative SHARED ${smokeqtdeclarative_LIB_SRCS})
add_library(smokeqtdeclarative SHARED ${smokeqtdeclarative_LIB_SRCS})

target_link_libraries(  smokeqtdeclarative 
                        smokeqtcore 
                        smokeqtgui 
                        ${QT_QTCORE_LIBRARY} 
                        ${QT_QTGUI_LIBRARY} 
                        ${QT_QTNETWORK_LIBRARY} 
                        ${QT_QTSCRIPT_LIBRARY} 
                        ${QT_QTDECLARATIVE_LIBRARY} )

set_target_properties(smokeqtdeclarative PROPERTIES VERSION 3.0.0 SOVERSION 3 )

# Don't use the KDE ${LIB_INSTALL_DIR} macro here as this file is
# for Qt only installs
install(TARGETS smokeqtdeclarative DESTINATION ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX} )
install(FILES ${CMAKE_SOURCE_DIR}/smoke/qtdeclarative_smoke.h DESTINATION include/smoke)

=== ext/smoke/qtsql/CMakeLists.txt ===

include_directories( ${QT_INCLUDES} ${CMAKE_SOURCE_DIR}/smoke )

configure_file(config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.xml @ONLY)

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 

    COMMAND smokegen
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -- ${CMAKE_CURRENT_SOURCE_DIR}/qtsql_includes.h
    DEPENDS smokegen generator_smoke WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

include_directories (${CMAKE_SOURCE_DIR}/smoke ${CMAKE_SOURCE_DIR}/smoke/qtsql  )

set(smokeqtsql_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp  
                ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
)

ADD_DEFINITIONS(-DQT_GUI_LIB)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")

# kde4_add_library(smokeqtsql SHARED ${smokeqtsql_LIB_SRCS})
add_library(smokeqtsql SHARED ${smokeqtsql_LIB_SRCS})

target_link_libraries(smokeqtsql 
                        smokeqtcore 
                        smokeqtgui 
                        ${QT_QTCORE_LIBRARY} 
                        ${QT_QTGUI_LIBRARY} 
                        ${QT_QTSQL_LIBRARY} )

set_target_properties(smokeqtsql PROPERTIES VERSION 3.0.0 SOVERSION 3 )

# Don't use the KDE ${LIB_INSTALL_DIR} macro here as this file is
# for Qt only installs
install(TARGETS smokeqtsql DESTINATION ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX} )
install(FILES ${CMAKE_SOURCE_DIR}/smoke/qtsql_smoke.h DESTINATION include/smoke)

=== ext/ruby/qtruby/src/CMakeLists.txt ===
IF(QT_QTDBUS_FOUND AND NOT WIN32)
    ADD_DEFINITIONS (-DQT_QTDBUS)
ENDIF(QT_QTDBUS_FOUND)

IF(QWT_FOUND)
    ADD_DEFINITIONS (-DQT_QWT)
ENDIF(QWT_FOUND)

if(RUBY_VERSION)
    ADD_DEFINITIONS (-DRUBY_VERSION=0x${RUBY_VERSION_NUMBER})
ENDIF(RUBY_VERSION)

include_directories( ${CMAKE_SOURCE_DIR}/smoke ${RUBY_INCLUDE_DIRS} )
INCLUDE_DIRECTORIES (${QT_INCLUDES})


set(qtrubyshared_LIB_SRCS 
   Qt.cpp 
   handlers.cpp 
   marshall_types.cpp
   )

set(qtruby_LIB_SRCS qtruby.cpp)

# Use 'MODULE' instead of 'SHARED' so that qtruby will be built as a bundle on Mac OS X
# instead of a dyld. But is this correct (rjd)? It needs testing.
add_library(qtruby4shared SHARED ${qtrubyshared_LIB_SRCS})
add_library(qtruby4 MODULE ${qtruby_LIB_SRCS})

if(QT_QTDBUS_FOUND AND NOT WIN32)
  target_link_libraries(  qtruby4shared 
                              ${QT_QTCORE_LIBRARY} 
                              ${QT_QTGUI_LIBRARY} 
                              ${RUBY_LIBRARY} 
                              ${QT_QTNETWORK_LIBRARY}
                              smokebase
                              smokeqtcore 
                              smokeqtgui 
                              smokeqtxml 
                              smokeqtopengl 
                              smokeqtsql 
                              smokeqtnetwork 
                              smokeqtdbus 
                              smokeqtsvg )

  target_link_libraries(  qtruby4 
                              ${QT_QTCORE_LIBRARY} 
                              ${QT_QTGUI_LIBRARY} 
                              ${QT_QTDBUS_LIBRARY} 
                              ${RUBY_LIBRARY} 
                              ${QT_QTNETWORK_LIBRARY} 
                              smokeqtcore 
                              smokeqtgui 
                              smokeqtxml 
                              smokeqtopengl 
                              smokeqtsql 
                              smokeqtnetwork 
                              smokeqtdbus 
                              smokeqtsvg
                              qtruby4shared )
else(QT_DBUS_FOUND)
  target_link_libraries(  qtruby4shared 
                              ${QT_QTCORE_LIBRARY} 
                              ${QT_QTGUI_LIBRARY} 
                              ${RUBY_LIBRARY} 
                              ${QT_QTNETWORK_LIBRARY}
                              smokebase
                              smokeqtcore 
                              smokeqtgui 
                              smokeqtxml 
                              smokeqtopengl 
                              smokeqtsql 
                              smokeqtnetwork 
                              smokeqtsvg )

  target_link_libraries(  qtruby4 
                              ${QT_QTCORE_LIBRARY} 
                              ${QT_QTGUI_LIBRARY} 
                              ${RUBY_LIBRARY} 
                              ${QT_QTNETWORK_LIBRARY} 
                              smokeqtcore 
                              smokeqtgui 
                              smokeqtxml 
                              smokeqtopengl 
                              smokeqtsql 
                              smokeqtnetwork 
                              smokeqtsvg
                              qtruby4shared )
endif(QT_DBUS_FOUND)

# target_link_libraries(qtrubyinternal ${QT_QTCORE_LIBRARY} ${RUBY_LIBRARY} ${QT_QTNETWORK_LIBRARY})

set_target_properties(qtruby4 PROPERTIES PREFIX "")
set_target_properties(qtruby4shared PROPERTIES VERSION 2.0.0 SOVERSION 2)

install(TARGETS qtruby4shared DESTINATION ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX} )
install(TARGETS qtruby4 DESTINATION ${CUSTOM_RUBY_SITE_ARCH_DIR})

install(FILES qtruby.h marshall.h marshall_basetypes.h marshall_complex.h marshall_macros.h marshall_primitives.h marshall_types.h smokeruby.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/qtruby)

if (Q_WS_MAC)
    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink \"${CUSTOM_RUBY_SITE_ARCH_DIR}/qtruby4.so\"  \"${CUSTOM_RUBY_SITE_ARCH_DIR}/qtruby4.bundle\" )" )
endif (Q_WS_MAC)

=== debian/changelog ===
rock-master-20.06-ruby-qtbindings (4.8.6.5-1~buster) UNRELEASED; urgency=medium

  * Package automatically built using 'apaka'

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Mon, 07 Sep 2020 00:00:01 +0200

=== debian/control ===
Source: rock-master-20.06-ruby-qtbindings
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: debhelper, gem2deb, cmake, libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev, dh-autoreconf, libgl1-mesa-dev
Standards-Version: 3.9.4
#Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-qtbindings.git
#Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-qtbindings.git;a=summary
Homepage: http://github.com/ryanmelt/qtbindings
XS-Ruby-Versions: all
Vcs-Browser:
Vcs-Git:

Package: rock-master-20.06-ruby-qtbindings
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter, ruby
Description: Qt bindings for ruby
 qtbindings provides ruby bindings to QT4.x. It is derived from the kdebindings project.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_OPTIONS=nocheck
SHELL := /bin/bash
arch=$(shell gcc -print-multiarch)
ruby_ver=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['ruby_version']")
ruby_arch_dir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['archdir']")
ruby_libdir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['rubylibdir']")
rockruby_archdir=$(subst /usr,,$(ruby_arch_dir))
rockruby_libdir=$(subst /usr,,$(ruby_libdir))

master2006_install_dir = /opt/rock/master-20.06
env_setup =  PATH=$(master2006_install_dir)/bin:$$PATH
env_setup += HOME=/home/ 
env_setup += RUBYLIB=$(master2006_install_dir)/$(rockruby_libdir):$(master2006_install_dir)/$(rockruby_archdir):$(master2006_install_dir)/lib/ruby/vendor_ruby/standard:$(master2006_install_dir)/lib/ruby/vendor_ruby/core:$(master2006_install_dir)/lib/ruby/vendor_ruby:$$RUBYLIB
env_setup += PKG_CONFIG_PATH=$(master2006_install_dir)/lib/pkgconfig:$(master2006_install_dir)/lib/$(arch)/pkgconfig:/usr/share/pkgconfig:/usr/lib/$(arch)/pkgconfig:$$PKG_CONFIG_PATH
env_setup += Rock_DIR=$(master2006_install_dir)/share/rock/cmake:$$Rock_DIR
env_setup += LD_LIBRARY_PATH=$(master2006_install_dir)/lib:$(master2006_install_dir)/lib/$(arch):$$LD_LIBRARY_PATH
env_setup += CMAKE_PREFIX_PATH=$(master2006_install_dir):$$CMAKE_PREFIX_PATH
env_setup += OROGEN_PLUGIN_PATH=$(master2006_install_dir)/share/orogen/plugins:$$OROGEN_PLUGIN_PATH
export TYPELIB_CXX_LOADER=castxml
export DEB_CPPFLAGS_APPEND=-std=c++11
export npm_config_cache=/tmp/npm
rock_library_dirs=$(master2006_install_dir)/lib:$(master2006_install_dir)/lib/$(arch):
rock_base_install_dir=/opt/rock
rock_release_install_dir=/opt/rock/master-20.06
rock_install_dir=/opt/rock/master-20.06/rock-master-20.06-ruby-qtbindings

env_setup += RUBY_CMAKE_INSTALL_PREFIX=debian/rock-master-20.06-ruby-qtbindings/opt/rock/master-20.06/rock-master-20.06-ruby-qtbindings
debian_install_prefix = debian/rock-master-20.06-ruby-qtbindings/opt/rock/master-20.06/rock-master-20.06-ruby-qtbindings
#export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
export DH_RUBY_IGNORE_TESTS=all
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby1.9.1 ruby2.0 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

rock_install_dir=/opt/rock/master-20.06/rock-master-20.06-ruby-qtbindings
check_ruby_versions = 2.0 2.1 2.2 2.3 2.4 2.5 2.6 2.7

# Link directories for Qt from ruby/<short-version-name> to lib/.../ruby/<long-version-name>
# param: long_version_name short_version_name
define rock_create_ruby_version_link
        echo "Link ruby directories: $(2) --> $(1)\n"
	$(shell mkdir -p $(rock_install_dir)/lib/ruby/$(1))
	dh_link $(rock_install_dir)/lib/x86_64-linux-gnu/ruby/$(1) $(rock_install_dir)/lib/x86_64-linux-gnu/ruby/$(2)
	dh_link $(rock_install_dir)/lib/ruby/$(1) $(rock_install_dir)/ruby/$(2)
	dh_link $(rock_install_dir)/lib/arm-linux-gnueabi/ruby/$(1) $(rock_install_dir)/lib/arm-linux-gnueabi/ruby/$(2)
	echo "\n"
endef

%:
	for file in `find $(rock_release_install_dir)/*/env.sh ! -empty -type f -name env.sh`; do source "$$file"; done; $(env_setup) dh $@ --buildsystem=ruby --with ruby

override_dh_link:
	$(foreach rb_version,$(check_ruby_versions), $(if $(wildcard /usr/lib/ruby/$(rb_version).0),$(call rock_create_ruby_version_link,$(rb_version).0,$(rb_version)), @echo "Skipping dh_link for ruby version $(rb_version).0, which is not installed\n" ))

override_dh_shlibdeps:
	dh_shlibdeps -l$(shell pwd)/$(debian_install_prefix)/lib/




override_dh_auto_install:
	echo "Apaka's override_dh_auto_install called"
	dh_auto_install 
	mkdir -p $(debian_install_prefix)
	cp -R debian/rock-master-20.06-ruby-qtbindings/usr/* $(debian_install_prefix)/
	rm -rf debian/rock-master-20.06-ruby-qtbindings/usr/*

define export_variable
	find $(debian_install_prefix) -type f -name '*$2' -exec dirname {} + | grep -v CMakeFiles | uniq | xargs -i printf "$1={}:\$${$1}\nexport $1\n" >> $(debian_install_prefix)/env.sh
	sed -i s#$(debian_install_prefix)#$(rock_install_dir)#g $(debian_install_prefix)/env.sh
	find $(debian_install_prefix) -type f -name '*$2' -exec dirname {} + | grep -v CMakeFiles | uniq | xargs -i printf "$1 {}\n" >> $(debian_install_prefix)/env.yml.append
	sed -i s#$(debian_install_prefix)#$(rock_install_dir)#g $(debian_install_prefix)/env.yml.append
endef

override_dh_installdocs:
	echo "Apaka's override_dh_installdocs called"
	$(if $(wildcard $(debian_install_prefix)/bin/*),-printf "PATH=$(rock_install_dir)/bin:\$${PATH}\nexport PATH\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/bin/*),-printf "PATH $(rock_install_dir)/bin\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/*),-printf "CMAKE_PREFIX_PATH=$(rock_install_dir):\$${CMAKE_PREFIX_PATH}\nexport CMAKE_PREFIX_PATH\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/*),-printf "CMAKE_PREFIX_PATH $(rock_install_dir)\n" >> $(debian_install_prefix)/env.yml.append)
	$(call export_variable,CMAKE_PREFIX_PATH,\.cmake)
	$(call export_variable,PKG_CONFIG_PATH,\.pc)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/$(ruby_ver)/*),-printf "RUBYLIB=$(rock_install_dir)/lib/ruby/$(ruby_ver):\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/$(ruby_ver)/*),-printf "RUBYLIB $(rock_install_dir)/lib/ruby/$(ruby_ver)\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/ruby/$(ruby_ver)/*),-printf "RUBYLIB=$(rock_install_dir)/lib/$(arch)/ruby/$(ruby_ver):\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/ruby/$(ruby_ver)/*),-printf "RUBYLIB $(rock_install_dir)/lib/$(arch)/ruby/$(ruby_ver)\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/site_ruby/*),-printf "RUBYLIB=$(rock_install_dir)/lib/site_ruby:\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/site_ruby/*),-printf "RUBYLIB $(rock_install_dir)/lib/site_ruby\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/site_ruby/*),-printf "RUBYLIB=$(rock_install_dir)/lib/$(arch)/site_ruby:\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/site_ruby/*),-printf "RUBYLIB $(rock_install_dir)/lib/$(arch)/site_ruby\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/vendor_ruby/*),-printf "RUBYLIB=$(rock_install_dir)/lib/ruby/vendor_ruby:\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/vendor_ruby/*),-printf "RUBYLIB $(rock_install_dir)/lib/ruby/vendor_ruby\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/ruby/vendor_ruby/$(ruby_ver)/*),-printf "RUBYLIB=$(rock_install_dir)/lib/$(arch)/ruby/vendor_ruby/$(ruby_ver):\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/ruby/vendor_ruby/$(ruby_ver)/*),-printf "RUBYLIB $(rock_install_dir)/lib/$(arch)/ruby/vendor_ruby/$(ruby_ver)\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/vendor_ruby/standard/*),-printf "RUBYLIB=$(rock_install_dir)/lib/ruby/vendor_ruby/standard:\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/vendor_ruby/standard/*),-printf "RUBYLIB $(rock_install_dir)/lib/ruby/vendor_ruby/standard\n" >> $(debian_install_prefix)/env.yml.append)

=== debian/watch ===
version=3
https://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/qtbindings .*/qtbindings-(.*).tar.gz
